Package Details: python-googletrans 3.1.0a0-1

Git Clone URL: https://aur.archlinux.org/python-googletrans.git (read-only, click to copy)
Package Base: python-googletrans
Description: Free Google Translate API for Python.
Upstream URL: https://github.com/ssut/py-googletrans
Licenses: MIT
Submitter: timschumi
Maintainer: timschumi
Last Packager: timschumi
Votes: 7
Popularity: 0.147541
First Submitted: 2019-10-03 12:02
Last Updated: 2020-12-05 15:24

Latest Comments

« First ‹ Previous 1 2

PumpkinCheshire commented on 2020-10-05 15:01

I got this when using newer version: DistributionNotFound: The 'httpx==0.13.3' distribution was not found and is required by googletrans

Perhaps upgrading the httpx version will not cause any incompatibility, but an error will be reported due to the settings in setup.py when setting up the environment.

timschumi commented on 2020-10-05 13:25

Is there anything specific that is broken for you? The library works just fine for me (using httpx 0.14.0) when trying to replicate the examples from the readme.

PumpkinCheshire commented on 2020-10-05 12:57

It seem the dependencies required python-httpx==0.13.3 and that package just updated to 0.14, and this package stoped working. So could you please edit the denpendencies?

yochananmarqos commented on 2020-08-11 19:10

This only depends on python-httpx, see the setup.py. python-setuptools should be in makedepends().

timschumi commented on 2020-07-20 13:28

@privong Indeed, I haven't noticed that the dependencies have been updated. Should be fine now.

privong commented on 2020-07-20 13:12

I think this package should have python-httpcore and python-httpx as dependencies. The import fails without those two packages.